<?php
// $Id: webreader.admin.inc,v 1.1 2009/03/22 22:59:27 gos77 Exp $

/**
 * @file
 * Administrative page callbacks for the webreader module.
 *
 * @ingroup webreader
 */

/**
 * Implementation of hook_settings().
 */
function webreader_admin_settings() {
  // Required settings for webReader
  $form['general_settings'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#title' => t('General settings for webReader'),
    '#description' => t('The webReader module requires to create an own account at <a href="http://webreader.readspeaker.com" target="_blank">http://webreader.readspeaker.com</a>. For private websites you can get webReader for free.'),
  );
  $form['general_settings']['webreader_accountid'] = array(
    '#type' => 'textfield',
    '#title' => t('Enter your webReader ID'),
    '#default_value' => variable_get('webreader_accountid', ''),
    '#description' => t('Enter your webReader ID from <a href="http://webreader.readspeaker.com" target="_blank">http://webreader.readspeaker.com</a>.'),
    '#required' => TRUE,
  );
  $form['general_settings']['webreader_abovenode'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display webReader control above node text.'),
    '#default_value' => variable_get('webreader_abovenode', FALSE),
    '#description' => t('Insert webReader controls between node title and node text.'),
    '#required' => FALSE,
  );
  $form['general_settings']['webreader_belownode'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display webReader control below node text.'),
    '#default_value' => variable_get('webreader_belownode', FALSE),
    '#description' => t('Insert webReader controls after node text.'),
    '#required' => FALSE,
  );

  // What kinds of nodes do we want to read by webReader
  $form['content_types'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#title' => t('Content types'),
  );
  $form['content_types']['webreader_nodes'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Content types'),
    '#default_value' => variable_get('webreader_nodes', array()),
    '#options' => array_map('check_plain', node_get_types('names')),
    '#description' => t('Select content types to read by webReader.'),
  );

  return system_settings_form($form);
}
